Wallbox HEMS Sessions
Get one standalone HEMS session with its decision timeline and command verdicts
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
wallboxes
/
{wallbox_id}
/
hems-sessions
/
{session_id}
Get one standalone HEMS session with its decision timeline and command verdicts
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"session": {
"id": 123,
"ocpp_transaction_id": 123,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"final_hems_state": "<string>",
"outcome": "charged_from_solar",
"energy_from_solar_kwh": 123,
"savings_eur": 123,
"has_complete_price_coverage": true,
"commands_sent": 123,
"commands_applied": 123,
"commands_ineffective": 123,
"commands_rejected": 123,
"energy_from_battery_kwh": 123,
"energy_from_grid_kwh": 123,
"savings_attribution_reason": "<string>"
},
"decisions": [
{
"time": "2023-11-07T05:31:56Z",
"hems_state": "<string>",
"decision": "start",
"reason": "<string>",
"export_w": 123,
"target_w": 123,
"phases": 123,
"dispatched": true,
"steering_command_id": 123
}
],
"commands": [
{
"id": 123,
"time": "2023-11-07T05:31:56Z",
"commanded_watts": 123,
"commanded_amps": 123,
"commanded_phases": 123,
"dispatch_status": "<string>",
"outcome": "applied",
"observed_current_offered_a": 123,
"observed_power_w": 123
}
]
}Authorizations
Path Parameters
Was this page helpful?
⌘I
Get one standalone HEMS session with its decision timeline and command verdicts
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"session": {
"id": 123,
"ocpp_transaction_id": 123,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"final_hems_state": "<string>",
"outcome": "charged_from_solar",
"energy_from_solar_kwh": 123,
"savings_eur": 123,
"has_complete_price_coverage": true,
"commands_sent": 123,
"commands_applied": 123,
"commands_ineffective": 123,
"commands_rejected": 123,
"energy_from_battery_kwh": 123,
"energy_from_grid_kwh": 123,
"savings_attribution_reason": "<string>"
},
"decisions": [
{
"time": "2023-11-07T05:31:56Z",
"hems_state": "<string>",
"decision": "start",
"reason": "<string>",
"export_w": 123,
"target_w": 123,
"phases": 123,
"dispatched": true,
"steering_command_id": 123
}
],
"commands": [
{
"id": 123,
"time": "2023-11-07T05:31:56Z",
"commanded_watts": 123,
"commanded_amps": 123,
"commanded_phases": 123,
"dispatch_status": "<string>",
"outcome": "applied",
"observed_current_offered_a": 123,
"observed_power_w": 123
}
]
}